Bug 32538 - Circular build dependency between XFree and Mesa
Circular build dependency between XFree and Mesa
Product: Red Hat Linux
Classification: Retired
Component: Mesa (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-03-21 11:15 EST by Pawel Salek
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-23 00:23:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pawel Salek 2001-03-21 11:15:13 EST
XFree requires Mesa-devel to build but one of Mesa files refers to
X11/Xdefs.h file from XFree-devel.

Reproducible: Always
Steps to Reproduce:
1. try boostraping Mesa or XFree from sources.

I guess one possible solution is to build them together, but is it the best
Comment 1 Bernhard Rosenkraenzer 2001-03-21 11:27:12 EST
Yes, the Mesa package should be merged with the XFree86 package in the long 
Comment 2 Mike A. Harris 2001-03-23 00:22:58 EST
This sucks.  Unfortunately, the only real solution I think is to marry Mesa
into XFree86 as Bero suggests, and it is far too late to do this at this
point in time.

Alternatively we could include the XFree files in the Mesa code with the
patch that is already there.  Bero, can you update the Mesa package's main
XFree86 tarball to also include the headers from XFree 4.0.3 and use them?
The comment at the top of the specfile should be updated also so that
when XFree gets updated the new patch will get created that includes the
necessary stuff from XFree86.  I think this is the best solution right now,
as the only other one would be removing the dependancy on Mesa from XFree86
which will result in lots of bug reports from people running mismatched
X and Mesa.  The 4.0.3 code is unchanged from the last Mesa update so
nothing else weird should change.
Comment 3 Bernhard Rosenkraenzer 2001-06-01 11:10:48 EDT
Setting to deferred until the packages have been merged.

Note You need to log in before you can comment on or make changes to this bug.